%global srcname eyed3

Name:           python-%{srcname}
Version:        0.8
Release:        0%{?dist}.1sunshine
Summary:        Python audio data toolkit (ID3 and MP3)
License:        GPLv2+
URL:            http://eyed3.nicfit.net/
Source0:        http://eyed3.nicfit.net/releases/eyeD3-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
%{?python_provide:%python_provide python2-%{srcname}}

%description
A Python module and program for processing ID3 tags. Information about
mp3 files(i.e bit rate, sample frequency, play time, etc.) is also
provided. The formats supported are ID3 v1.0/v1.1 and v2.3/v2.4.

%prep
%setup -qn eyeD3-%{version}

%build
%py2_build

%install
%py2_install
install -d %{buildroot}%{_mandir}/man1/
install -p -m644 docs/eyeD3.1 %{buildroot}%{_mandir}/man1/

#%check
#%{__python2} setup.py test

%files
%doc AUTHORS.rst HISTORY.rst README.rst examples/
%license LICENSE
%{_mandir}/man1/*
%{_bindir}/eyeD3
%{python2_sitelib}/eyed3/
%{python2_sitelib}/eyeD3-%{version}-py%{python2_version}.egg-info/

%changelog
* Mon Jul 31 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 0.8-0.1sunshine
- update to 0.8
- adapt %%doc to renamed files
- package man page
- disable %%check

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 15 2017 David King <amigadave@amigadave.com> - 0.7.10-1
- Update to 0.7.10

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 01 2016 David King <amigadave@amigadave.com> - 0.7.9-2
- Remove unused python-magic dependency

* Fri Feb 26 2016 David King <amigadave@amigadave.com> - 0.7.9-1
- Update to 0.7.9
- Use license macro for COPYING
- Use python_provide macro (#1285546)
- Use py2_build and py2_install macros

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Nov 28 2014 P J P <pjp@fedoraproject.org> - 0.7.5-1
- New release

* Wed Nov 19 2014 Mr Niranjan <mrniranjan@fedoraproject.org> - 0.7.4-4
- Fixed CVE-2014-1934, patch from Travis Shirk.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Christopher Meng <rpm@cicku.me> - 0.7.4-2
- Dependencies cleanup.

* Fri Dec 27 2013 Christopher Meng <rpm@cicku.me> - 0.7.4-1
- Update to 0.7.4.
- Add EPEL support.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 12 2013 Christopher Meng <rpm@cicku.me> - 0.7.3-1
- New version.
- Remove paver BR.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 27 2012 bpepple <bpepple@fedoraproject.org> 0.6.18-2
- Rebase UserTextFrames patch.

* Fri Jan 27 2012 bpepple <bpepple@fedoraproject.org> 0.6.18-1
- Update to 0.6.18.

* Mon Jan 09 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-7
- Rebuild for new gcc.

* Fri Aug  5 2011 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-6
- Add patch to fix crashes on files with empty UserTextFrames.
- Drop buildroot & clean sections. No longer needed.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.17-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.6.17-1
- Update to 0.6.17.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.16-2
- Rebuild for Python 2.6

* Thu Jun 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.16-1
- Update to 0.6.16.

* Sat Mar  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.6.15-1
- Update to 0.6.15.
- Update license tag.

* Fri May 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.14-1
- Update to 0.6.14.

* Sat Feb 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.12-1
- Update to 0.6.12.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-3
- Change BR to python-devel.

* Fri Dec  8 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-2
- Rebuild against new python.

* Wed Nov 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.10-2
- Change BR to python.
- Remove unnecessary make in build section.

* Sat Oct  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.6.10-1
- Initial FE spec.
